using LSFE.Infrastructure.Dto.Reports;
using LSFE.Infrastructure.Entities.Reports;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LSFE.Domain.Contracts.Reports
{
    public interface IReportsRepo 
    {
        Task<List<CallRateReport>> GetCallRateReport(ReportsDto dto);
        Task<List<CallReachReport>> GetCallReachReport(ReportsDto dto);
        Task<List<CatchUpCallReport>> GetCatchUpCallReport(ReportsDto dto);
        Task<List<ActualCoverageReport>> GetActualCoverageReport(ReportsDto dto);
        Task<bool> PutMissedCall(ReportsDto dto);
    }
}
